linux: 2.6.24-32.103 -proposed tracker

Bug #1020100 reported by Luis Henriques on 2012-07-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Canonical Platform QA Team
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.24-32.103 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 02. July 2012 13:43 UTC
kernel-stable-Certification-testing-end:Monday, 02. July 2012 13:46 UTC
kernel-stable-Prepare-package-end:Thursday, 05. July 2012 08:30 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 05. July 2012 08:30 UTC
kernel-stable-Promote-to-proposed-end:Monday, 09. July 2012 18:30 UTC
kernel-stable-Verification-testing-start:Monday, 09. July 2012 19:31 UTC
kernel-stable-phase:Testing
kernel-stable-Security-signoff-start:Tuesday, 10. July 2012 09:00 UTC
kernel-stable-phase-changed:Tuesday, 10. July 2012 09:00 UTC
kernel-stable-Verification-testing-end:Tuesday, 10. July 2012 09:00 UTC
kernel-stable-Regression-testing-start:Tuesday, 10. July 2012 09:00 UTC

CVE References

Luis Henriques (henrix) on 2012-07-02
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: hardy
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-02
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides mangled to be correct for all packages.

Brad Figg (brad-figg) on 2012-07-08
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-2.6.24-32-lpiacompat 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-lpiacompat 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
fglrx-kernel-source 1:8-3+2.6.24.18-32.14 - is in restricted instead of multiverse
fglrx-kernel-source 1:8-3+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-glx-legacy 71.86.04+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-glx-legacy 71.86.04+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-glx-legacy-dev 71.86.04+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-glx-legacy-dev 71.86.04+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-kernel-source 1:96.43.05+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-kernel-source 1:96.43.05+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-legacy-kernel-source 71.86.04+2.6.24.18-32.14 - is in restricted instead of multiverse
nvidia-legacy-kernel-source 71.86.04+2.6.24.18-32.14 - is in restricted instead of multiverse

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

I've fixed the overrides for fglrx/nvidia stuff. I'd argue that the overrides I did for the lum/lbm stuff is correct, based on the fact that those are for kernels that are in universe, not in main.

Brad Figg (brad-figg) on 2012-07-08
description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-2.6.24-32-lpiacompat 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
linux-backports-modules-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-lpiacompat 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-openvz 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-rt 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main
linux-headers-lbm-2.6.24-32-xen 2.6.24-32.44 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Herton R. Krzesinski (herton) wrote :

The bot wrongly complained, should be fixed, setting back the promote-to-proposed task to fix released. BTW, bot probably will print this if not fixed next time it runs:
updates-modules-2.6.24-32-lpia-di 2.6.24-32.44 - is in main instead of universe

This looks correct, the udeb above was released originally in universe.

Brad Figg (brad-figg) on 2012-07-09
description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

updates-modules-2.6.24-32-lpia-di 2.6.24-32.44 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

Agreed on IRC that the bot is wrong, and it'll be made to shut up. We hope. ;)

Brad Figg (brad-figg) on 2012-07-09
description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

updates-modules-2.6.24-32-lpia-di 2.6.24-32.44 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Herton R. Krzesinski (herton) wrote :

The fixed bot is 'pushed' now, setting back the promote-to-proposed task to fix released.

Brad Figg (brad-figg) on 2012-07-09
description: updated
Brad Figg (brad-figg) on 2012-07-09
description: updated
Luis Henriques (henrix) wrote :

Only 1 CVE, moving to testing.

Brad Figg (brad-figg) on 2012-07-10
description: updated
Luis Henriques (henrix) wrote :

A fix was required in this kernel, so a new tracking bug has been open (bug #1023810) and this was has been marked as duplicate.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-32.104

---------------
linux (2.6.24-32.104) hardy-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1023810

  [Upstream Kernel Changes]

  * netfilter: nf_conntrack_reasm: properly handle packets fragmented into
    a single fragment
    - LP: #1023532
    - CVE-2012-2744
  * KVM: fix backport of 3e51570 on hardy
    - LP: #971685
    - CVE-2012-1601

linux (2.6.24-32.103) hardy-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020100

  [Upstream Kernel Changes]

  * KVM: MMU: nuke shadowed pgtable pages and ptes on memslot destruction
    - LP: #971685
    - CVE-2012-1601
  * KVM: MMU: do not free active mmu pages in free_mmu_pages()
    - LP: #971685
    - CVE-2012-1601
  * KVM: Don't destroy vcpu in case vcpu_setup fails
    - LP: #971685
    - CVE-2012-1601
  * KVM: Ensure all vcpus are consistent with in-kernel irqchip settings
    - LP: #971685
    - CVE-2012-1601
 -- Luis Henriques <email address hidden> Thu, 12 Jul 2012 10:13:07 +0100

Changed in linux (Ubuntu Hardy):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers